CHGRP(1)

NAMN
chgrp — ändra gruppägarskap

SYNOPSIS
chgrp [FLAGGA]... GRUPP FIL...
chgrp [FLAGGA]... --reference=RFIL FIL...

BESKRIVNING

Ändra grupp för varje FIL till GRUPP. Med --reference, ändra gruppen för varje FIL till den hos RFIL.

-c, --changes
    Som --verbose men rapportera bara när ändringar görs.

-f, --silent, --quiet
    Utelämna de flesta felmeddelanden.

-v, --verbose
    Skriv ut ett meddelande för varje bearbetad fil.

--dereference
    Ändra referensen för varje symbolisk länk (detta är standard) istället för den symboliska länken själv.

-h, --no-dereference
    Ändra symboliska länkar istället för refererade filer (meningsfullt endast på system där det går att ändra ägare på en symbolisk länk).

--no-preserve-root
    Behandla inte ”/” speciellt (normalfall).

--preserve-root
    Låt bli att arbeta på ”/”.

--reference=RFIL
    Använd RFILs grupp istället för att ange ett GRUPPvärde.

-R, --recursive
    Arbeta på filer och kataloger rekursivt.

Följande flaggor modifierar hur en hierarki traverseras när flaggan -R också anges. Om mer än en anges har enbart den sista någon verkan.

-H  Om ett kommandoradsargument för ett kommando är en symbolisk länk, följ den.

-L  Följ varje symbolisk länk till en katalog som påträffas.

-P  Följ inga symboliska länkar (normalfall).

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

EXEMPEL

chgrp staff /u
    Ändra gruppen för /u till ”staff”.

chgrp -hR staff /u
    Ändra gruppen för /u och underfiler till ”staff”.

UPPHOVSMAN
Skrivet av David MacKenzie och Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
chown(1), chown(2)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/chgrp>
eller tillgängligt lokalt via: info '(coreutils) chgrp invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.